org.apache.derby.vti

## Class Restriction.ColumnQualifier

- java.lang.Object
- - org.apache.derby.vti.Restriction
  - - org.apache.derby.vti.Restriction.ColumnQualifier

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    Restriction

      public static class Restriction.ColumnQualifier
      extends Restriction

  A simple comparison of a column to a constant value. The comparison has the form:

  >      column OP constant

  where OP is one of the following:

  >       <     =     <=     >      >=    IS NULL    IS NOT NULL

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.derby.vti.Restriction

      `Restriction.AND, Restriction.ColumnQualifier, Restriction.OR`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ORDER_OP_EQUALS` Ordering operation constant representing '='
    `static int` | `ORDER_OP_GREATEROREQUALS` Ordering operation constant representing '>='
    `static int` | `ORDER_OP_GREATERTHAN` Ordering operation constant representing '>'
    `static int` | `ORDER_OP_ISNOTNULL` Ordering operation constant representing 'IS NOT NULL'
    `static int` | `ORDER_OP_ISNULL` Ordering operation constant representing 'IS NULL'
    `static int` | `ORDER_OP_LESSOREQUALS` Ordering operation constant representing '<='
    `static int` | `ORDER_OP_LESSTHAN` Ordering operation constant representing '<'
    `static int` | `ORDER_OP_NOT_EQUALS` Ordering operation constant representing '!
    `static long` | `serialVersionUID` Derby serializes these objects in PreparedStatements

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnQualifier(String columnName, int comparisonOperator, Object constantOperand)` Construct from pieces.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getColumnName()` The name of the column being compared.
    `int` | `getComparisonOperator()` The type of comparison to perform.
    `Object` | `getConstantOperand()` Get the constant value to which the column should be compared.
    `String` | `toSQL()` Turn this Restriction into a string suitable for use in a WHERE clause.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          public static final long serialVersionUID

      Derby serializes these objects in PreparedStatements
      See Also:
        Constant Field Values

    - #### ORDER_OP_LESSTHAN

          public static final int ORDER_OP_LESSTHAN

      Ordering operation constant representing '<'
      See Also:
        Constant Field Values

    - #### ORDER_OP_EQUALS

          public static final int ORDER_OP_EQUALS

      Ordering operation constant representing '='
      See Also:
        Constant Field Values

    - #### ORDER_OP_LESSOREQUALS

          public static final int ORDER_OP_LESSOREQUALS

      Ordering operation constant representing '<='
      See Also:
        Constant Field Values

    - #### ORDER_OP_GREATERTHAN

          public static final int ORDER_OP_GREATERTHAN

      Ordering operation constant representing '>'
      See Also:
        Constant Field Values

    - #### ORDER_OP_GREATEROREQUALS

          public static final int ORDER_OP_GREATEROREQUALS

      Ordering operation constant representing '>='
      See Also:
        Constant Field Values

    - #### ORDER_OP_ISNULL

          public static final int ORDER_OP_ISNULL

      Ordering operation constant representing 'IS NULL'
      See Also:
        Constant Field Values

    - #### ORDER_OP_ISNOTNULL

          public static final int ORDER_OP_ISNOTNULL

      Ordering operation constant representing 'IS NOT NULL'
      See Also:
        Constant Field Values

    - #### ORDER_OP_NOT_EQUALS

          public static final int ORDER_OP_NOT_EQUALS

      Ordering operation constant representing '!='
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ColumnQualifier

          public ColumnQualifier(String columnName,
                                 int comparisonOperator,
                                 Object constantOperand)

      Construct from pieces.

      Parameters:
        `columnName` - Name of column as declared in the CREATE FUNCTION statement.
        `comparisonOperator` - One of the ORDER_OP constants.
        `constantOperand` - Constant value to which the column should be compared.

  - ### Method Detail

    - #### getColumnName

          public String getColumnName()

      The name of the column being compared.

    - #### getComparisonOperator

          public int getComparisonOperator()

      The type of comparison to perform. This is one of the ORDER_OP constants defined above.

    - #### getConstantOperand

          public Object getConstantOperand()

      Get the constant value to which the column should be compared. The constant value must be an Object of the Java type which corresponds to the SQL type of the column. The column's SQL type was declared in the CREATE FUNCTION statement. The mapping of SQL types to Java types is defined in table 4 of chapter 14 of the original JDBC 1 specification (dated 1996). Bascially, these are the Java wrapper values you would expect. For instance, SQL INT maps to java.lang.Integer, SQL CHAR maps to java.lang.String, etc.. This object will be null if the comparison operator is ORDER_OP_ISNULL or ORDER_OP_ISNOTNULL.

    - #### toSQL

          public String toSQL()

      Description copied from class: `Restriction`
      Turn this Restriction into a string suitable for use in a WHERE clause.
      Specified by:
        `toSQL` in class `Restriction`

Apache Derby 10.13 API Documentation - Copyright © 2004,2016 The Apache Software Foundation. All Rights Reserved.